Documents: list

Return information about the Documents by Modified Date.

Request - GET https://api-uat.vtopenview.com/documents?modifiedDate={modifiedDate}&pageNumber={pageNumber}&pageSize={pageSize}

This endpoint retrieves documents filtered by the Modified Date. You can optionally include pageNumber and pageSize query parameters for pagination.

The modifiedDate parameter is required.

You must include your access token in the request header. For more details, see the authentication and authorization page .

Example request with authorization:

curl -- GET Base URI: https://api-uat.vtopenview.com/documents?modifiedDate={modifiedDate}&pageNumber={pageNumber}&pageSize={pageSize}
--header "Authorization: Bearer MTQ0NjJkZmQ5OTM2NDE1ghNNBiuyUYUN"

Response

If successful, this method returns a response body with the following structure:

Example response:

HTTPS 200 OK
Content-Type: application/json
{
"document_records_pages": integer,
"document_records_current_page": integer,
"documents": [
{
"DocumentId": long,
"RecordId": long,
"RecordTypeId": integer,
"DocumentTypeId": integer,
"DocumentTypeName": string,
"Filename": string,
"Shared": boolean,
"MediaId": long,
"MediaGuid": string,
"MediaUrlPrimary": string,
"UploadToPortals": boolean,
"LastUpdateUserId": long,
"LastUpdateUserForename": string,
"LastUpdateUserSurname": string,
"LastUpdateIP": string,
"LastUpdate": date,
"PasswordProtected": boolean,
"Public": boolean,
"ProofTypeId": integer,
"LinkedName": string,
"Compliance": boolean
}
]
}

Document Type:

The list below describes the possible document type ids.

UnSpecified = 1
Contract = 2
Statement = 3
Invoice = 4
Letter = 5
Spreadsheet = 6
Certificates = 7
Photo = 8
EICR = 9
Brochure = 10
Window Card = 11
EPCGraph = 12